Package org.apache.nutch.urlfilter.fast

## Class FastURLFilter.Rule

- java.lang.Object
- - org.apache.nutch.urlfilter.fast.FastURLFilter.Rule

- Direct Known Subclasses:
    `FastURLFilter.DenyAllRule`, `FastURLFilter.DenyPathQueryRule`, `FastURLFilter.DenyPathRule`
  Enclosing class:
    FastURLFilter

      public static class FastURLFilter.Rule
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Pattern` | `pattern` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Rule​(String regex)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `match​(URL url)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### pattern

          protected Pattern pattern

  - ### Constructor Detail

    - #### Rule

          public Rule​(String regex)

  - ### Method Detail

    - #### match

          public boolean match​(URL url)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`